Strony internetowe
GET https://pushye.com/api/websites/
curl --request GET \
--url 'https://pushye.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczegóły | Opis |
|---|---|---|
| search | Opcjonalny Ciąg | Ciężar wyszukiwania. |
| search_by | Opcjonalny Ciąg | Jakie pole przeszukujesz? Dozwolone wartości to: name, host, path. |
| is_enabled | Opcjonalny Boolean | |
| datetime_field | Opcjonalny Ciąg | Dozwolone wartości: datetime, last_datetime, email_reports_last_datetime |
| datetime_start | Opcjonalny Ciąg | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcjonalny Ciąg | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcjonalny Ciąg | Jakie pole użyć do sortowania wyników. Dozwolone wartości to: website_id, datetime, last_datetime, name, host, path, email_reports_last_datetime, email_reports_count, total_sent_campaigns, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications, total_subscribers. |
| order_type | Opcjonalny Ciąg | Kolejność wyników. Dozwolone wartości to: ASC dla porządku rosnącego i DESC dla porządku malejącego. |
| page | Opcjonalny Całkowity | Numer strony, z której chcesz uzyskać wyniki. Domyślnie 1. |
| results_per_page | Opcjonalny Całkowity | Ile wyników chcesz na stronę. Dozwolone wartości to: 10, 25, 50, 100, 250, 500, 1000. Domyślnie 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"domain_id": 1,
"pixel_key": "Example",
"name": "Example",
"scheme": "Example",
"host": "Example",
"path": "Example",
"settings": [],
"widget": {},
"button": {},
"notifications": [],
"email_reports": [],
"email_reports_last_datetime": "2026-09-12 13:24:02",
"email_reports_count": 1,
"keys": [],
"total_sent_campaigns": 1,
"total_subscribers": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-12 13:24:02"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://pushye.com/api/websites?page=1",
"last": "https://pushye.com/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/websites?page=1"
}
}
GET https://pushye.com/api/websites/{website_id}
curl --request GET \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"domain_id": 1,
"pixel_key": "Example",
"name": "Example",
"scheme": "Example",
"host": "Example",
"path": "Example",
"settings": [],
"widget": {},
"button": {},
"notifications": [],
"email_reports": [],
"email_reports_last_datetime": "2026-09-12 13:24:02",
"email_reports_count": 1,
"keys": [],
"total_sent_campaigns": 1,
"total_subscribers": 1,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-12 13:24:02"
}
}
DELETE https://pushye.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \